{% extends "base/normal.html" %}

{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}

{% block title %}{{ user.username }}'s Styles on Presenter Club{% endblock title %}

{% block content %}
<div class="title-n-button">
    <h1>Your Styles</h1>
</div>
<p></p>

<div class="Tabs">
    <div class="Tabs__head">
        <a class="Tabs__head__label"
           href="{% url 'medialibrary:index' username=user.username %}">
            Media Library
        </a>
        <a class="Tabs__head__label"
           href="{% url 'u:userpage' username=user.username %}">
            Presentations
        </a>
        <a class="Tabs__head__label Tabs__head__label--selected"
           href="{% url 'styles:index' username=user.username %}">
            Styles
        </a>
    </div>
    <div class="Tabs__content">
    {% if styles %}
        <ul class='PresentationList__ul'>{% for s in styles %}
            <li class='emphasisbox__parent'>
                <a href="{% url 'styles:edit' user.username s.id %}"
                   class='PresentationList__item emphasisbox__left'>
                    <img src="{% url 'styles:thumb' s.user.username s.id %}" 
                         alt="Thumbnail"
                         width="320px" height="180px"
                         class='PresentationList__thumb'>
                    <div class='PresentationList__title'>
                        <h2>{{ s.title }}</h2>
                    </div>
                </a>
                <div class='PresentationList__actions emphasisbox__actions'>
                    <a class="button small"
                       href="{% url 'styles:edit' s.user.username s.id %}">
                        Edit
                    </a>
                </div>
            </a></li>
        {% endfor %}</ul>
    {% elif is_pro %}
        <h1>Styles are Coming Soon</h1>
        <p>Create a style is the powerful styles editor that powers all
           built in Presenter Club styles.  Create a Style is currently
           in the final stages of a UX redevelopment to make it easy and
           fast to use.</p>
        <p>All Pro users are offered a free concierge style design service.
           If you have not already been contacted about your style,
           don't hesitate to email us at
           <a href='mailto:concierge@presenter.club'>
           concierge@presenter.club</a>.</p>
    {% else %}
        <h1>Give Your Presentations Flair</h1>
        <p>With Presenter Club Pro you can create your own styles; for you,
           your company or your organisation.  Use styles to makes your
           presentations unique and consistent with your brand.</p>
        <p><a href='{% url 'promo:plans' %}'>Learn more about Pro,</a>
           or <a href='{% url 'promo:gopro' %}'>go pro now</a></p>
    {% endif %}
    </div>
</div>
{% endblock content %}
